# Kalei - Style guide

This project aims at making sure your style sheets are fully documented whilst being synchronized with your webpages styles. To do this it actually uses your live stylesheets in so that at anytime you can review how your styleguide looks.


## Main goals and benefits

* Fully documented CSS - No need to explain the benefits
* No dependencies, simply download the repository and run in your browser
* Automatic generation of demo UI components
* Easy access for anyone, designer, developer, manager and users
* Rapid development of projects by allowing developers to find the correct CSS and HTML for any given UI component
* Open sourced so that all great ideas can be included





## Getting started

1. Download the repository (`git clone git://github.com/kaleistyleguide/kaleistyleguide.git`)
2. Serve it on a HTTP server and it should work!
3. Edit `js/config.js` to point at your own `styles.css`


## Author

[Thomas Davis](http://thomasdavis.github.com)

## Contributors

Luke Brooker
[Richard Barret](http://richardbarrett.github.io)
[Sam Pospischil](http://pospi.spadgos.com)



## Inspiration

Kalei is heavily influenced by the following projects and blog posts.

[Pea.rs](http://pea.rs/)

[KSS](http://warpspire.com/posts/kss/)

[StyleDocco](http://jacobrask.github.com/styledocco/)

[RJ Metrics](http://blog.rjmetrics.com/2012/02/20/our-living-style-guide-writing-maintainable-htmlcss/)

[Anchoring Your Design Language in a Live Style Guide](http://uxmag.com/articles/anchoring-your-design-language-in-a-live-style-guide)


## Technologies

* [marked](https://github.com/chjj/marked)
* [jscssp](http://www.glazman.org/JSCSSP/)
* [LESS](http://lesscss.org/)
* cssbeautify
* [fixie](http://fixiejs.com/)
* [highlight](http://softwaremaniacs.org/soft/highlight/en/)
* [backbone](http://backbonejs.org/)
* [underscore](http://underscorejs.org/)
* [jquery](http://jquery.com)

## License

Public domain: http://unlicense.org/
